# Class CertPath.CertPathRep

java.lang.Object
java.security.cert.CertPath.CertPathRep

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `CertPath`

protected static class CertPath.CertPathRep extends Object implements Serializable
Alternate `CertPath` class for serialization.

Since:
  1.4
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CertPathRep(String type, byte[] data)`
Creates a `CertPathRep` with the specified type and encoded form of a certification path.

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`readResolve()`
Returns a `CertPath` constructed from the type and data of this `CertPathRep`.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CertPathRep

protected CertPathRep(String type, byte[] data)
Creates a `CertPathRep` with the specified type and encoded form of a certification path.

Parameters:
  `type` - the standard name of a `Certificate` type
  `data` - the encoded form of the certification path

## Method Details

### readResolve

protected Object readResolve() throws ObjectStreamException
Returns a `CertPath` constructed from the type and data of this `CertPathRep`.

Returns:
  the resolved `CertPath` object
Throws:
  `ObjectStreamException` - if a `CertPath` object could not be constructed